package com.hssx.pcbms.service;

import com.hssx.pcbms.entity.User;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hssx.pcbms.entity.vo.UserVO;
import com.hssx.pcbms.util.HttpRespMsg;
import com.hssx.pcbms.util.PageUtil;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-10-24
 */
public interface UserService extends IService<User> {

    HttpRespMsg login(User user, HttpServletRequest request);

    HttpRespMsg regist(User user,String code);

    HttpRespMsg getList(UserVO userVO,PageUtil page);

    HttpRespMsg updateUser(User user,MultipartFile file);

    HttpRespMsg updateAndForgetPwd(User user, Integer type,String code);

    HttpRespMsg handOutpermissions(User user, String permissionIds);
}
